Ruby: pm_unless_node Struct Reference

Ruby 3.3.6p108 (2024-11-05 revision 75015d4c1f6965b5e85e96fb309f1f2129f933c0)

Data Fields
pm_unless_node Struct Reference

UnlessNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | keyword_loc
| UnlessNode#keyword_loc.
struct pm_node * | predicate
| UnlessNode#predicate.
pm_location_t | then_keyword_loc
| UnlessNode#then_keyword_loc.
struct pm_statements_node * | statements
| UnlessNode#statements.
struct pm_else_node * | consequent
| UnlessNode#consequent.
pm_location_t | end_keyword_loc
| UnlessNode#end_keyword_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

UnlessNode.

Type: PM_UNLESS_NODE

Definition at line 4309 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_unless_node::base

The embedded base node.

Definition at line 4311 of file ast.h.

## ◆ consequent

struct pm_else_node* pm_unless_node::consequent

UnlessNode#consequent.

Definition at line 4326 of file ast.h.

Referenced by pm_node_destroy().

## ◆ end_keyword_loc

pm_location_t pm_unless_node::end_keyword_loc

UnlessNode#end_keyword_loc.

Definition at line 4329 of file ast.h.

## ◆ keyword_loc

pm_location_t pm_unless_node::keyword_loc

UnlessNode#keyword_loc.

Definition at line 4314 of file ast.h.

## ◆ predicate

struct pm_node* pm_unless_node::predicate

UnlessNode#predicate.

Definition at line 4317 of file ast.h.

Referenced by pm_node_destroy().

## ◆ statements

struct pm_statements_node* pm_unless_node::statements

UnlessNode#statements.

Definition at line 4323 of file ast.h.

Referenced by pm_node_destroy().

## ◆ then_keyword_loc

pm_location_t pm_unless_node::then_keyword_loc

UnlessNode#then_keyword_loc.

Definition at line 4320 of file ast.h.

The documentation for this struct was generated from the following file:

- prism/ast.h